function styleThumbnailImage( image ) {
    var anchor = document.createElement( 'a' );
    anchor.href = image.src;
    image.parentNode.replaceChild( anchor, image );
    anchor.appendChild( image );

    image.style['-webkit-box-shadow'] = '3px 3px 4px #333';
    image.style.border = '1px solid #EEE';
    image.style.padding = '10px';
    image.style.margin = '3 px';
}

function resizeImages() {
    var images = document.getElementsByTagName('img');
    var maxWidth = window.innerWidth * 0.75;
    var maxHeight = window.innerHeight * 0.75;
    for( var i = 0; i < images.length; ++i ) {
        var image = images[i];
        var resized = false;
        if( image.width > maxWidth ) {
            resized = true;
            image.width = maxWidth;
        }
        if( image.height > maxHeight ) {
            resized = true;
            image.height = maxHeight;
        }
        if( resized ) {
            styleThumbnailImage( image );
        }
    }
}

